regression: renaming non-project bookmarks (partially) broken

2016-06-15 09:52 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22981

Description

Since this commit:11a5a69, renaming newly-added non-project bookmarks (via double-clicking on the list' name column) fails when

bookmark list is empty.

Steps to reproduce

1. Open the bookmarks panel, making sure there are no bookmarks (export your list and clear it temporarily if needed)

2. Add a new bookmark, renamed it

3. Notice the name doesn't stick, reverts to "New bookmark"

Associated revisions

Revision 4746158a - 2016-06-16 08:39 AM - Mathieu Pellerin - nIRV

fix bookmarks editing regression (fixes #15034) (#3204)

History

#1 - 2016-06-15 11:39 PM - Mathieu Pellerin - nIRV

- Status changed from Open to Closed

Fixed in changeset commit:"4746158a2cf064725f04f84f9932f0c4732493d0".
